﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace SampleVariableDataSource
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		private ObservableCollection<Client> _clients = null;

		public Window1()
		{
			InitializeComponent();

			_clients = GenerateClients();
			this._clientGrid.DataSource = _clients;
		}

		private ObservableCollection<Client> GenerateClients()
		{
			ObservableCollection<Client> clients = new ObservableCollection<Client>();
			clients.Add(new Client("John", "Green", "123 Qwerty"));
			clients.Add(new Client("Jack", "Black", "456 Qwerty"));
			clients.Add(new Client("Tim", "White", "789 qwerty"));

			return clients;
		}
	}
}
